Bug 1005317 - [abrt] Crash under g_main_context_new()
[abrt] Crash under g_main_context_new()
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:d19acd0891afbfc9a40930ce63a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 12:09 EDT by Igor Gnatenko
Modified: 2015-06-29 08:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:20:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (62.23 KB, text/plain)
2013-09-06 12:09 EDT, Igor Gnatenko
no flags Details
File: cgroup (159 bytes, text/plain)
2013-09-06 12:09 EDT, Igor Gnatenko
no flags Details
File: core_backtrace (54.01 KB, text/plain)
2013-09-06 12:09 EDT, Igor Gnatenko
no flags Details
File: dso_list (26.16 KB, text/plain)
2013-09-06 12:09 EDT, Igor Gnatenko
no flags Details
File: environ (1.45 KB, text/plain)
2013-09-06 12:09 EDT, Igor Gnatenko
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-06 12:10 EDT, Igor Gnatenko
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-06 12:10 EDT, Igor Gnatenko
no flags Details
File: maps (128.24 KB, text/plain)
2013-09-06 12:10 EDT, Igor Gnatenko
no flags Details
File: open_fds (1.62 KB, text/plain)
2013-09-06 12:10 EDT, Igor Gnatenko
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2013-09-06 12:10 EDT, Igor Gnatenko
no flags Details
File: var_log_messages (15.26 KB, text/plain)
2013-09-06 12:10 EDT, Igor Gnatenko
no flags Details

  None (edit)
Description Igor Gnatenko 2013-09-06 12:09:39 EDT
Description of problem:
listed messages

Version-Release number of selected component:
evolution-3.9.91-2.fc20

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        evolution
crash_function: g_slist_last
executable:     /usr/bin/evolution
kernel:         3.11.0-3.fc20.x86_64
runlevel:       unknown
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_slist_last at gslist.c:845
 #1 g_slist_append at gslist.c:230
 #2 g_main_context_new at gmain.c:620
 #3 async_closure_new at camel-service.c:131
 #4 camel_service_connect_sync at camel-service.c:1638
 #5 camel_folder_synchronize_sync at camel-folder.c:4311
 #6 refresh_folders_exec at mail-send-recv.c:1054
 #7 mail_msg_proxy at mail-mt.c:422
 #9 g_thread_proxy at gthread.c:798
 #11 clone at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111
Comment 1 Igor Gnatenko 2013-09-06 12:09:44 EDT
Created attachment 794861 [details]
File: backtrace
Comment 2 Igor Gnatenko 2013-09-06 12:09:47 EDT
Created attachment 794862 [details]
File: cgroup
Comment 3 Igor Gnatenko 2013-09-06 12:09:51 EDT
Created attachment 794863 [details]
File: core_backtrace
Comment 4 Igor Gnatenko 2013-09-06 12:09:55 EDT
Created attachment 794864 [details]
File: dso_list
Comment 5 Igor Gnatenko 2013-09-06 12:09:59 EDT
Created attachment 794865 [details]
File: environ
Comment 6 Igor Gnatenko 2013-09-06 12:10:07 EDT
Created attachment 794866 [details]
File: exploitable
Comment 7 Igor Gnatenko 2013-09-06 12:10:10 EDT
Created attachment 794867 [details]
File: limits
Comment 8 Igor Gnatenko 2013-09-06 12:10:14 EDT
Created attachment 794868 [details]
File: maps
Comment 9 Igor Gnatenko 2013-09-06 12:10:17 EDT
Created attachment 794869 [details]
File: open_fds
Comment 10 Igor Gnatenko 2013-09-06 12:10:21 EDT
Created attachment 794870 [details]
File: proc_pid_status
Comment 11 Igor Gnatenko 2013-09-06 12:10:24 EDT
Created attachment 794871 [details]
File: var_log_messages
Comment 12 Milan Crha 2013-09-09 04:58:22 EDT
Thanks for a bug report. Based on your backtrace, this is either caused by a memory corruption or there is some bug in g_main_context_new() function. Because this comes from glib2, I'm moving this there for further investigation.

I see you have installed glib2-2.37.7-1.fc20.x86_64.

By any chance, are you able to reproduce this reliably, after opening certain messages in certain order?
Comment 13 Igor Gnatenko 2013-09-09 05:17:38 EDT
(In reply to Milan Crha from comment #12)
> Thanks for a bug report. Based on your backtrace, this is either caused by a
> memory corruption or there is some bug in g_main_context_new() function.
> Because this comes from glib2, I'm moving this there for further
> investigation.
> 
> I see you have installed glib2-2.37.7-1.fc20.x86_64.
> 
> By any chance, are you able to reproduce this reliably, after opening
> certain messages in certain order?
unfortunately, no :(
Comment 14 Fedora End Of Life 2015-05-29 05:22:30 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-06-29 08:20:33 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.